org.eclipse.jdt.debug.ui

## Interface IJavaDebugUIConstants

    public interface IJavaDebugUIConstants

Constant definitions for Java debug UI plug-in.

Constant definitions only.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `EVALUATION_GROUP` Identifier for a group of evaluation actions in a menu (value `"evaluationGroup"`).
`static String` `EXTENSION_POINT_VM_INSTALL_PAGES` Extension point identifier for contributions of a wizard page that for a VMInstallType (value `"vmInstallPages"`).
`static String` `EXTENSION_POINT_VM_INSTALL_TYPE_PAGE` Extension point identifier for contributions of a UI page that corresponds to a VMInstallType (value `"vmInstallTypePage"`).
`static String` `ID_DISPLAY_VIEW` Display view identifier (value `"org.eclipse.jdt.debug.ui.DisplayView"`).
`static String` `ID_JAVA_SNIPPET_EDITOR` Java snippet editor identifier (value `"org.eclipse.jdt.debug.ui.SnippetEditor"`)
`static int` `INTERNAL_ERROR` Status code indicating an unexpected internal error (value `150`).
`static String` `JAVA_SNIPPET_EDITOR_CONTEXT_MENU` Java snippet editor context menu identifier (value `"#JavaSnippetEditorContext"`).
`static String` `JAVA_SNIPPET_EDITOR_RULER_MENU` Java snippet editor ruler menu identifier (value `"#JavaSnippetRulerContext"`).
`static String` `PLUGIN_ID` Plug-in identifier for the Java Debug UI
`static String` `PREF_ALLINSTANCES_MAX_COUNT` Integer preference for the maximum number of instances to show with the All Instances action
`static String` `PREF_ALLREFERENCES_MAX_COUNT` Integer preference for the maximum number of references to show with the All References action
`static String` `PREF_SHOW_MONITOR_THREAD_INFO` Boolean preference indicating whether the monitor and thread information should be displayed in the debug view.
`static String` `PREF_SHOW_RUNNING_THREADS` Boolean preference indicating whether running threads should appear visible in the debug view.
`static String` `PREF_SHOW_SYSTEM_THREADS` Boolean preference indicating whether system threads should appear visible in the debug view.
`static String` `PREF_SHOW_THREAD_GROUPS` Boolean preference indicating whether thread groups should be displayed in the debug view.

### Field Detail

#### PLUGIN_ID

    static final String PLUGIN_ID

Plug-in identifier for the Java Debug UI

#### EXTENSION_POINT_VM_INSTALL_TYPE_PAGE

    static final String EXTENSION_POINT_VM_INSTALL_TYPE_PAGE

Extension point identifier for contributions of a UI page that corresponds to a VMInstallType (value `"vmInstallTypePage"`).

See Also:
  Constant Field Values

#### EXTENSION_POINT_VM_INSTALL_PAGES

    static final String EXTENSION_POINT_VM_INSTALL_PAGES

Extension point identifier for contributions of a wizard page that for a VMInstallType (value `"vmInstallPages"`).

Since:
  3.3
See Also:
  Constant Field Values

#### ID_DISPLAY_VIEW

    static final String ID_DISPLAY_VIEW

Display view identifier (value `"org.eclipse.jdt.debug.ui.DisplayView"`).

#### ID_JAVA_SNIPPET_EDITOR

    static final String ID_JAVA_SNIPPET_EDITOR

Java snippet editor identifier (value `"org.eclipse.jdt.debug.ui.SnippetEditor"`)

#### JAVA_SNIPPET_EDITOR_CONTEXT_MENU

    static final String JAVA_SNIPPET_EDITOR_CONTEXT_MENU

Java snippet editor context menu identifier (value `"#JavaSnippetEditorContext"`).

See Also:
  Constant Field Values

#### JAVA_SNIPPET_EDITOR_RULER_MENU

    static final String JAVA_SNIPPET_EDITOR_RULER_MENU

Java snippet editor ruler menu identifier (value `"#JavaSnippetRulerContext"`).

See Also:
  Constant Field Values

#### EVALUATION_GROUP

    static final String EVALUATION_GROUP

Identifier for a group of evaluation actions in a menu (value `"evaluationGroup"`).

See Also:
  Constant Field Values

#### INTERNAL_ERROR

    static final int INTERNAL_ERROR

Status code indicating an unexpected internal error (value `150`).

See Also:
  Constant Field Values

#### PREF_SHOW_MONITOR_THREAD_INFO

    static final String PREF_SHOW_MONITOR_THREAD_INFO

Boolean preference indicating whether the monitor and thread information should be displayed in the debug view. A view may override this preference, and if so, stores its preference, prefixed by view id.

Since:
  3.2

#### PREF_SHOW_SYSTEM_THREADS

    static final String PREF_SHOW_SYSTEM_THREADS

Boolean preference indicating whether system threads should appear visible in the debug view.

Since:
  3.2

#### PREF_SHOW_RUNNING_THREADS

    static final String PREF_SHOW_RUNNING_THREADS

Boolean preference indicating whether running threads should appear visible in the debug view.

Since:
  3.10

#### PREF_SHOW_THREAD_GROUPS

    static final String PREF_SHOW_THREAD_GROUPS

Boolean preference indicating whether thread groups should be displayed in the debug view.

Since:
  3.2

#### PREF_ALLINSTANCES_MAX_COUNT

    static final String PREF_ALLINSTANCES_MAX_COUNT

Integer preference for the maximum number of instances to show with the All Instances action

Since:
  3.3

#### PREF_ALLREFERENCES_MAX_COUNT

    static final String PREF_ALLREFERENCES_MAX_COUNT

Integer preference for the maximum number of references to show with the All References action

Since:
  3.3